#!/bin/sh

if [ -z "$SALTPATH" ] ; then
   SALTPATH=./data
fi

if [ ! -f $SALTPATH/fitmodel.card ] ; then
   echo "Error. Cannot find data/fitmodel.card. Please run this in the"
   echo "SALT2 folder (which has bin/ data/, etc) or set your SALTPATH"
   exit 1
fi

echo "Found SALT2 data at $SALTPATH"
echo "Making a backup: $SALTPATH/fitmodel.card_backup"
cp $SALTPATH/fitmodel.card{,_backup}
echo "@SWOPE3 Instruments/Swope3" >> $SALTPATH/fitmodel.card
echo "@BD17-CSP MagSys/BD17-CSP.dat" >> $SALTPATH/fitmodel.card
echo "@VEGA-CSP MagSys/Vega-CSP.dat" >> $SALTPATH/fitmodel.card
cp CSP/MagSys/* $SALTPATH/MagSys
echo "Making a backup: $SALTPATH/Instruments/Swope2/FilterWheel_backup"
cp $SALTPATH/Instruments/Swope2/FilterWheel{,_backup}
cp CSP/Instruments/Swope2/* $SALTPATH/Instruments/Swope2
cp -r CSP/Instruments/Swope3 $SALTPATH/Instruments
echo "All done."
